<html>
<head>
    <title>Event Click LatLng</title>
    <style>
    html{
        background: #000;
    }
    .wrap{
        width: 100%;
        margin:30px auto;
        display: grid;
        grid-gap: 50px;
        grid-template-columns: 300px auto;
    }

    .form input{
        width: 100%;
        border: none;
        border-bottom: 2px solid #dfece7;
        padding: 3px;
        font-size: 1em;
        outline: none;
        margin-bottom: 10px;
        background: #000;
        color: #dfece7;
        border-radius: 0;
        box-sizing: border-box;
        transition: border-bottom-color 0.5s, color 0.5s;
    }

    .form input:focus{
        border-bottom-color: #4fb08c;
        color: #dfece7;
    }


    .form button {
      display: block;
      width: 100%;
      height: 40px;
      padding: 10px;
      margin-bottom: 10px;
      font-size: 16px;
      line-height: 1.2;
      color: #fff;
      background-color: #a55a82;
      border: none;
      border-radius: 4px;
      box-sizing: border-box;
      text-transform: capitalize;
      transition: all 0.5s;
    }


    .form input[type="text"]::placeholder {
      color: #aaa;
      opacity: 1;
      font-family:monospace;
    }

    .form input:focus::placeholder {
      opacity: 0.9;
      font-family:monospace;
    }
    #map{
        width: 100%;
        height: 680px;
        height: 780px;
        border-radius: 10px;
    }
    </style>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css">
</head>
<body>
<p style="font-size:60px; margin:0px;color:#a55a82;font-family:monospace;text-align:center;">AtReach</p>
<div class="wrap">
    <form action="/" method="POST" class="form" id="out">
        <input type="text" class="form__field" id="latitude" placeholder="Latitude"disabled>
        <input type="text" class="form__field" id="longitude" placeholder="Longitude"disabled>
        <input type="text" class="form__field" id="health_facilities" placeholder="Health facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="convenience_facilities" placeholder="Convenience facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="entertainment_facilities" placeholder="Entertainment facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="restaurant_facilities" placeholder="Restaurant facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="educational_facilities" placeholder="Educational facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="dog_facilities" placeholder="Dog facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="transport_facilities" placeholder="Transport facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="post_facilities" placeholder="Post facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="sport_facilities" placeholder="Sport facilities (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="walk_accessibility" placeholder="Walk accessibility (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="bike_accessibility" placeholder="Bike accessibility (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <input type="text" class="form__field" id="bus_accessibility" placeholder="Bus accessibility (0-5)" oninput="this.value=this.value.replace(/[^0-5]/g,'').slice(0,1);">
        <button onclick="convertToJSON()" style="background_color:#a55a82;font-family:monospace;">send preferences</button>
        <button style="background_color:#4fb08c;font-family:monospace;">{{rank}}</button>


        <!--        <button onclick="Me();" id="rank" type="button" value="RANK" style="background-color: #4fb08c" />-->
<!--        <button onclick="Me();" id="missing" type="button" value="MISSING ........." style="background-color: #4fb08c" />-->

    </form>

    <div id="map"></div>
</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.7/leaflet.js"></script>

<script>

        let mapOptions = {
        center:[48.7622, 21.1997],
        zoom:10
        }

        let map = new L.map('map' , mapOptions);

        let layer = new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png');
        map.addLayer(layer);


        let marker = null;
        map.on('click', (event)=> {
            if(marker !== null){
            map.removeLayer(marker);
            }

             var theMarker = {};

            marker = L.marker([event.latlng.lat , event.latlng.lng]).addTo(map);

            document.getElementById('latitude').value = event.latlng.lat;
            document.getElementById('longitude').value = event.latlng.lng;

        })

    function convertToJSON() {
        var health_facilities = document.getElementById("health_facilities").value;
        var convenience_facilities = document.getElementById("convenience_facilities").value;
        var entertainment_facilities = document.getElementById("entertainment_facilities").value;
        var restaurant_facilities = document.getElementById("restaurant_facilities").value;
        var educational_facilities = document.getElementById("educational_facilities").value;
        var dog_facilities = document.getElementById("dog_facilities").value;
        var transport_facilities = document.getElementById("transport_facilities").value;
        var post_facilities = document.getElementById("post_facilities").value;
        var sport_facilities = document.getElementById("sport_facilities").value;
        var walk_accessibility = document.getElementById("walk_accessibility").value;
        var bike_accessibility = document.getElementById("bike_accessibility").value;
        var bus_accessibility = document.getElementById("bus_accessibility").value;

        var lat = document.getElementById('latitude').value;
        var long = document.getElementById('longitude').value;

        var preferences = {
            'latitude': lat,
            'longtitude':long,
            'health_facilities': healthFacilities ?? "",
            'convenience_facilities': convenience_facilities ?? "",
            'entertainment_facilities': entertainment_facilities ?? "",
            'restaurant_facilities': restaurant_facilities ?? "",
            'educational_facilities': educational_facilities ?? "",
            'dog_facilities': dog_facilities ?? "",
            'transport_facilities': transport_facilities ?? "",
            'post_facilities': post_facilities ?? "",
            'sport_facilities': sport_facilities ?? "",
            'walk_accessibility': walk_accessibility ?? "",
            'bike_accessibility': bike_accessibility ?? "",
            'bus_accessibility': bus_accessibility ?? "",
        };
      var jsonData = JSON.stringify(preferences);
      var xml = new XMLHttpRequest();
      xml.open("POST","http://127.0.0.1:5050",true)
      xml.setRequestHeader("Content-type","/")
      xml.send(jsonData)
      console.log(jsonData);
    }
</script>
</body>
</html>